Opera < 12 Multiple Vulnerabilities

High Nessus Plugin ID 59555


The remote host contains a web browser that is affected by multiple vulnerabilities.


The version of Opera installed on the remote host is prior to 12.00.
It is, therefore, affected by multiple vulnerabilities :

- An error exists that can allow the address bar to display incorrect locations due to certain combinations of navigation, reloads and redirects, which can aid in phishing attacks. (1018)

- An error in JSON handling can allow cross-site scripting attacks. (1019)

- An error exists related to handling double-click actions and new windows that can be used in cross-site scripting attacks. (1020)

- An error exists in the handling of window focus that can allow keystrokes to be associated with non-visible windows. (1021)

- An error in the handling of page loading can allow a malicious page to prevent the loading while showing an incorrect URL in the address bar. (1022)


Upgrade to Opera 12 or later.

See Also







Plugin Details

Severity: High

ID: 59555

File Name: opera_1200.nasl

Version: $Revision: 1.6 $

Type: local

Agent: windows

Family: Windows

Published: 2012/06/18

Modified: 2016/05/12

Dependencies: 21746

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:opera:opera_browser

Required KB Items: SMB/Opera/Version

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2012/06/14

Vulnerability Publication Date: 2012/06/14

Reference Information

CVE: CVE-2012-3555, CVE-2012-3556, CVE-2012-3557, CVE-2012-3558, CVE-2012-3560

BID: 54011, 73573

OSVDB: 82951, 82952, 82953, 82954, 82955

CWE: 20, 74, 79, 442, 629, 711, 712, 722, 725, 750, 751, 800, 801, 809, 811, 864, 900, 928, 931, 990